For the complete documentation index, see llms.txt. This page is also available as Markdown.

Publish variant

Publish a variant for terms.

post
Path parameters
termsAndConditionsIdstringRequired
idstringRequired
productIdstringRequired
Responses
200

OK

application/json
idstringOptional
namestringOptional
revisioninteger · int32Optional
typestringOptional
assetUrlstringOptional
languageCodestring · nullableOptional
descriptionstringOptional
statusstringOptional
filenamestring · nullableOptional
sizeinteger · int32 · nullableOptional
contentTypestringOptional
fileIdstringOptional
post/public/v1/catalog/products/{productId}/terms/{termsAndConditionsId}/variants/{id}/publish
POST /public/v1/catalog/products/{productId}/terms/{termsAndConditionsId}/variants/{id}/publish HTTP/1.1
Host: api.platform.softwareone.com
Accept: */*
{
  "id": "text",
  "audit": {
    "created": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1
      }
    },
    "updated": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1
      }
    }
  },
  "$meta": {
    "omitted": [
      "text"
    ]
  },
  "name": "text",
  "revision": 1,
  "type": "text",
  "assetUrl": "text",
  "languageCode": "text",
  "description": "text",
  "status": "text",
  "filename": "text",
  "size": 1,
  "contentType": "text",
  "termsAndConditions": {
    "id": "text",
    "name": "text",
    "revision": 1
  },
  "fileId": "text"
}

Last updated

Was this helpful?